Skip to main content

This site requires you to update your browser. Your browsing experience maybe affected by not having the most up to date version.

Upgrading SilverStripe /

Ask questions about upgrading SilverStripe to the latest version.

Moderators: martimiz, Sean, biapar, Willr, Ingo, swaiba, simon_w

Editing problems 2.3.1


Reply


3 Posts   1362 Views

Avatar
alfa

Community Member, 20 Posts

22 March 2009 at 12:48pm

Edited: 22/03/2009 1:34pm

Hi Guys!

I've just upgraded from 2.2.3 to 2.3.1, my problem is that when i try to visualize and edit the page content in the cms it says:

Fatal error: Cannot use string offset as an array in /home/boinc/www/www/sapphire/core/i18n.php on line 859

Viewing the webpage is perfect without problems, but i can't edit nor create new content becouse of that error :(

EDIT:

Dummy me :S i thought that in the 2.3.1 release the multilanguage problem will be fixed, but i guess it's still not xD. Anyway, i solved my problem erasing the second language (don't need it really xD) and letting only the main =)

Cheers,

Avatar
Kate

Community Member, 16 Posts

15 May 2009 at 5:29pm

Hi alfa,

I have the same error: Fatal error: Cannot use string offset as an array in /home/boinc/www/www/sapphire/core/i18n.php on line 859

I am on 2.3.1, and I didn't even have a second language yet, even though I'd like to. But this is the first time using SS and upgrading to 2.3.2 scares me at this point. I'm just happy I'm online for now.

So how did you solve your error? What code did you change? Was it here: sapphire/core/i18n.php on line 859

Avatar
Kate

Community Member, 16 Posts

15 May 2009 at 5:32pm

Well, I seem to have solved this involuntarily. I uploaded language chooser without even being able to use it before my arror. And removing that made my error disappear.